/*
	NXBrowserCell.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSCell.h"

@interface NSBrowserCell : NSCell
{
}

+ branchIcon;
+ branchIconH;

- init;
- initTextCell:(NSString *)aString;
- (void)dealloc;

- (BOOL)isLeaf;
- setLeaf:(BOOL)flag;
- (BOOL)isLoaded;
- setLoaded:(BOOL)flag;
- reset;
- set;
- setImage:newImage;
- image;
- setAltImage:newAltImage;
- altImage;

- (BOOL)isOpaque;

- (NSSize)cellSizeForBounds:(NSRect)aRect;

- drawInside:(NSRect)cellFrame inView:controlView;
- drawSelf:(NSRect)cellFrame inView:controlView;
- highlight:(NSRect)cellFrame inView:controlView lit:(BOOL)lit;

@end
