/*
	NXCachedImageRep.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSImageRep.h"
#import "NSWindow.h"
#import <objc/zone.h>

@interface NSCachedImageRep : NSImageRep
{
    NSPoint             _origin;
    int                 _reservedInt1;
    NSWindow	       *_window;
    void	       *_cache;
    int			_reservedInt2;
}

- initFromWindow:(NSWindow *)win rect:(NSRect)rect;

- getWindow:(NSWindow **)win andRect:(NSRect *)rect;
- (BOOL)draw;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- copyFromZone:(NSZone *)zone;
- (void)dealloc;

@end
