/*
	FormCell.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSActionCell.h"

@interface NSFormCell : NSActionCell
{
    float             titleWidth;
    id                  titleCell;
    float             titleEndPoint;
    unsigned int        _reservedFCint1;
}

- init;
- initTextCell:(NSString *)aString;

- (void)dealloc;
- copyFromZone:(NSZone *)zone;
- (float)titleWidth:(NSSize)aSize;
- (float)titleWidth;
- setTitleWidth:(float)width;
- (NSString *)title;
- setTitle:(NSString *)aString;
- titleFont;
- setTitleFont:fontObj;
- (int)titleAlignment;
- setTitleAlignment:(int)mode;
- setEnabled:(BOOL)flag;
- (BOOL)isOpaque;
- (NSSize)cellSizeForBounds:(NSRect)aRect;
- drawInside:(NSRect)cellFrame inView:controlView;
- drawSelf:(NSRect)cellFrame inView:controlView;
- (BOOL)trackMouse:(NXEvent*)event inRect:(NSRect)aRect ofView:controlView untilMouseUp:(BOOL)untilMouseUp;
- resetCursorRect:(NSRect)visibleCellFrame inView:controlView;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end
