/*
	PopUpList.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSMenu.h"

@interface  NSPopUpList : NSMenu
{
}

extern void NSAttachPopUpList(id button, NSPopUpList *popuplist);
extern id NSCreatePopUpListButton(NSPopUpList *popuplist);

- init;

- popUp:sender;
- addItem:(NSString *)title;
- insertItem:(NSString *)title at:(unsigned int)index;
- removeItem:(NSString *)title;
- removeItemAt:(unsigned int)index;
- (unsigned int)count;
- changeButtonTitle:(BOOL)flag;
- (int)indexOfItem:(NSString *)title;
- font;
- setFont:fontId;
- (NSString *)selectedItem;
- (NSRect)buttonFrame;
- (SEL)action;
- setAction:(SEL)aSelector;
- target;
- setTarget:anObject;
- setContentSize:(NSSize)_contentSize;

@end
