/*
	SelectionCell.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSCell.h"

@interface NSSelectionCell : NSCell
{
}

- init;
- initTextCell:(NSString *)aString;

- awake;
- (BOOL)isOpaque;
- setLeaf:(BOOL)flag;
- (BOOL)isLeaf;
- (NSSize)cellSizeForBounds:(NSRect)aRect;
- drawSelf:(NSRect)cellFrame inView:controlView;
- drawInside:(NSRect)cellFrame inView:controlView;
- highlight:(NSRect)cellFrame inView:controlView lit:(BOOL)flag;

@end
